<?php

namespace Plugilo\Plugilo\Model\Api;

use Plugilo\Plugilo\Api\ResponseItemInterface;
use Magento\Framework\DataObject;
use Symfony\Component\Config\Definition\FloatNode;

/**
 * Class ResponseItem
 */
class ResponseItem extends DataObject implements ResponseItemInterface
{
    public function getId(): int
    {
        return $this->_getData(self::DATA_ID);
    }
    public function getPrice(): float
    {
        return $this->_getData(self::DATA_PRICE);
    }

    /**
     * @param int $id
     * @return $this
     */
    public function setId(int $id): mixed
    {
        return $this->setData(self::DATA_ID, $id);
    }

    /**
     * @param float $price
     * @return $this
     */
    public function setPrice(float $price): mixed
    {
        return $this->setData(self::DATA_PRICE, $price);
    }
}
